{
  "name": "inventory",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "tsc -b && vite build",
    "build:deploy": "tsc -b && COPY_BUILD=true DEPLOY_TARGET=netcup DEPLOY_PATH=/var/www/html/inventory/frontend vite build",
    "lint": "eslint .",
    "preview": "vite preview",
    "mount": "../mountremote.command"
  },
  "dependencies": {
    "@dnd-kit/core": "^6.3.1",
    "@dnd-kit/sortable": "^10.0.0",
    "@dnd-kit/utilities": "^3.2.2",
    "@emotion/react": "^11.14.0",
    "@emotion/styled": "^11.14.0",
    "@hookform/resolvers": "^3.10.0",
    "@radix-ui/react-accordion": "^1.2.2",
    "@radix-ui/react-alert-dialog": "^1.1.4",
    "@radix-ui/react-avatar": "^1.1.2",
    "@radix-ui/react-checkbox": "^1.1.4",
    "@radix-ui/react-collapsible": "^1.1.2",
    "@radix-ui/react-dialog": "^1.1.6",
    "@radix-ui/react-dropdown-menu": "^2.1.4",
    "@radix-ui/react-label": "^2.1.1",
    "@radix-ui/react-popover": "^1.1.6",
    "@radix-ui/react-progress": "^1.1.1",
    "@radix-ui/react-radio-group": "^1.2.3",
    "@radix-ui/react-scroll-area": "^1.2.2",
    "@radix-ui/react-select": "^2.1.4",
    "@radix-ui/react-separator": "^1.1.1",
    "@radix-ui/react-slot": "^1.2.4",
    "@radix-ui/react-switch": "^1.1.2",
    "@radix-ui/react-tabs": "^1.1.2",
    "@radix-ui/react-toast": "^1.2.6",
    "@radix-ui/react-toggle": "^1.1.10",
    "@radix-ui/react-toggle-group": "^1.1.11",
    "@radix-ui/react-tooltip": "^1.1.6",
    "@shadcn/ui": "^0.0.4",
    "@tabler/icons-react": "^3.28.1",
    "@tanstack/react-query": "^5.66.7",
    "@tanstack/react-table": "^8.20.6",
    "@tanstack/react-virtual": "^3.11.2",
    "@tanstack/virtual-core": "^3.11.2",
    "@types/js-levenshtein": "^1.1.3",
    "@types/uuid": "^10.0.0",
    "axios": "^1.8.1",
    "chart.js": "^4.4.7",
    "chartjs-adapter-date-fns": "^3.0.0",
    "class-variance-authority": "^0.7.1",
    "clsx": "^2.1.1",
    "cmdk": "^1.0.0",
    "date-fns": "^3.6.0",
    "diff": "^7.0.0",
    "embla-carousel-react": "^8.6.0",
    "framer-motion": "^12.4.4",
    "immer": "^11.1.3",
    "input-otp": "^1.4.1",
    "js-levenshtein": "^1.1.6",
    "lodash": "^4.17.21",
    "lucide-react": "^0.469.0",
    "luxon": "^3.5.0",
    "motion": "^11.18.0",
    "next-themes": "^0.4.4",
    "react": "^18.3.1",
    "react-chartjs-2": "^5.3.0",
    "react-data-grid": "^7.0.0-beta.13",
    "react-day-picker": "^8.10.1",
    "react-debounce-input": "^3.3.0",
    "react-dom": "^18.3.1",
    "react-dropzone": "^14.3.5",
    "react-hook-form": "^7.54.2",
    "react-icons": "^5.4.0",
    "react-router-dom": "^7.1.1",
    "recharts": "^2.15.0",
    "sonner": "^1.7.1",
    "tailwind-merge": "^2.6.0",
    "tailwindcss-animate": "^1.0.7",
    "tanstack": "^1.0.0",
    "uuid": "^11.0.5",
    "vaul": "^1.1.2",
    "xlsx": "^0.18.5",
    "zod": "^3.24.2",
    "zustand": "^5.0.2"
  },
  "devDependencies": {
    "@eslint/js": "^9.17.0",
    "@types/fs-extra": "^11.0.4",
    "@types/lodash": "^4.17.15",
    "@types/luxon": "^3.7.1",
    "@types/node": "^22.10.5",
    "@types/react": "^18.3.18",
    "@types/react-dom": "^18.3.5",
    "@vitejs/plugin-react": "^4.3.4",
    "autoprefixer": "^10.4.20",
    "eslint": "^9.17.0",
    "eslint-plugin-react-hooks": "^5.0.0",
    "eslint-plugin-react-refresh": "^0.4.16",
    "fs-extra": "^11.2.0",
    "globals": "^15.14.0",
    "postcss": "^8.4.49",
    "tailwindcss": "^3.4.17",
    "typescript": "~5.6.2",
    "typescript-eslint": "^8.18.2",
    "vite": "^6.0.5"
  }
}
